path: /build/build/zfs-kmod-kernel-6.10-2.2.6.package.tar.zst
dependencies: []
compilespec:
  steps:
  - luet i -y sys-apps/kmod virtual/modutils pkgconf virtual/libelf virtual/linux-sources
    kernel-6.10/macaroni-modules && luet cleanup && sed -i -e 's|^ZFS_KERNEL_COMPAT.*|ZFS_KERNEL_COMPAT="6.10"|g'
    -e 's|DEPMOD.*|DEPMOD=depmod|g' /var/git/meta-repo/kits/core-kit/sys-fs/zfs-kmod/zfs-kmod-2.2.6.ebuild
  - emerge -j ${JOBS} sys-fs/zfs-kmod -pv -t
  - |
    emerge -j ${JOBS} sys-fs/zfs-kmod
  - |
    eval 'rm -rf /zfs-kmod || true' && mkdir /zfs-kmod && \
    luet-portage --dir /zfs-kmod sys-fs/zfs-kmod
  - for i in $(find /zfs-kmod/lib/modules/6.10.10-macaroni/extra/ -name '*.ko') ;
    do zstd ${i} -o ${i}.zst --rm ; done
  env:
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude: []
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:8f16dad45975397bf6cd80c410958751d42e6bd26563175f641e53ae0caff80a
  package:
    name: zfs-kmod
    version: 2.2.6
    category: kernel-6.10
    requires:
    - name: kernel
      version: '>=0'
      category: seed-6.10
    annotations:
      kernel_module: true
    buildtimestamp: 2024-09-18 18:23:31.011100241 +0000 UTC m=+452.517368785
    labels:
      emerge.packages: sys-fs/zfs-kmod
      kernel.suffix: macaroni
      kernel.type: vanilla
      kernel.version: 6.10.10
    treedir: /build/packages
  package_dir: /zfs-kmod
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/db/pkg/
  - ^/var/cache/portage/
  - ^/var/git/
  - ^/usr/share/doc/.*
  - ^/usr/src/.*
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 70b20ca585b5d59ec3160fd26983d528b81e89b2e348606b00c295a89a1dd3f1
compressiontype: zstd
files:
- lib/modules/6.10.10-macaroni/extra/spl.ko.zst
- lib/modules/6.10.10-macaroni/extra/zfs.ko.zst
package_cacheimage: ""
runtime:
  name: zfs-kmod
  version: 2.2.6
  category: kernel-6.10
  requires:
  - name: zfs-common
    version: '>=0'
    category: kernel
  annotations:
    kernel_module: true
  labels:
    emerge.packages: sys-fs/zfs-kmod
    kernel.suffix: macaroni
    kernel.type: vanilla
    kernel.version: 6.10.10
